Skip to main content
GET
https://{tenantDomain}/api/v2
/
network-acls
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.NetworkAcls.ListAsync(
            new ListNetworkAclsRequestParameters {
                Page = 1,
                PerPage = 1,
                IncludeTotals = true
            }
        );
    }

}
{
  "network_acls": [
    {
      "id": "<string>",
      "description": "<string>",
      "active": true,
      "priority": 50.5,
      "rule": {
        "action": {
          "block": true,
          "allow": true,
          "log": true,
          "redirect": true,
          "redirect_uri": "<string>"
        },
        "match": {
          "asns": [
            123
          ],
          "geo_country_codes": [
            "<string>"
          ],
          "geo_subdivision_codes": [
            "<string>"
          ],
          "ipv4_cidrs": [
            "127.0.0.1"
          ],
          "ipv6_cidrs": [
            "2606:4700:3108::ac42:2835"
          ],
          "ja3_fingerprints": [
            "<string>"
          ],
          "ja4_fingerprints": [
            "<string>"
          ],
          "user_agents": [
            "<string>"
          ],
          "hostnames": [
            "<string>"
          ],
          "connecting_ipv4_cidrs": [
            "127.0.0.1"
          ],
          "connecting_ipv6_cidrs": [
            "2606:4700:3108::ac42:2835"
          ]
        },
        "not_match": {
          "asns": [
            123
          ],
          "geo_country_codes": [
            "<string>"
          ],
          "geo_subdivision_codes": [
            "<string>"
          ],
          "ipv4_cidrs": [
            "127.0.0.1"
          ],
          "ipv6_cidrs": [
            "2606:4700:3108::ac42:2835"
          ],
          "ja3_fingerprints": [
            "<string>"
          ],
          "ja4_fingerprints": [
            "<string>"
          ],
          "user_agents": [
            "<string>"
          ],
          "hostnames": [
            "<string>"
          ],
          "connecting_ipv4_cidrs": [
            "127.0.0.1"
          ],
          "connecting_ipv6_cidrs": [
            "2606:4700:3108::ac42:2835"
          ]
        }
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "start": 123,
  "limit": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Use this field to request a specific page of the list results.

Required range: x >= 0
per_page
integer

The amount of results per page.

Required range: 0 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

Response

Network access control list successfully retrieved.

network_acls
object[]
start
number
limit
number
total
number